Create a notification event-topic route
curl --request POST \
--url https://api.withampersand.com/v1/projects/{projectIdOrName}/notification-event-topic-routes \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"eventType": "installation.created",
"topicId": "1234567890abcdef"
}
'import requests
url = "https://api.withampersand.com/v1/projects/{projectIdOrName}/notification-event-topic-routes"
payload = {
"eventType": "installation.created",
"topicId": "1234567890abcdef"
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({eventType: 'installation.created', topicId: '1234567890abcdef'})
};
fetch('https://api.withampersand.com/v1/projects/{projectIdOrName}/notification-event-topic-routes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"topicId": "<string>",
"projectId": "<string>",
"createTime": "2023-11-07T05:31:56Z",
"updateTime": "2023-11-07T05:31:56Z"
}{
"type": "urn:problem-type:exampleOrganization:exampleProblem",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Description of the type of problem that occurred",
"status": 400,
"detail": "Description of specific occurrence of the problem",
"instance": "urn:uuid:123e4567-e89b-12d3-a456-426614174000"
}{
"type": "about:blank",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Bad Request",
"status": 400,
"detail": "The input message is incorrect",
"instance": "123456-1234-1235-4567489798",
"issues": [
{
"type": "about:blank",
"detail": "exampleNumericProperty should be numeric",
"in": "path",
"name": "exampleNumericProperty",
"value": "abc"
},
{
"type": "about:blank",
"title": "Input isn't valid with respect to schema",
"detail": "examplePropertyWithPattern a2345678901 doesn't match pattern '^\\d{11}$'",
"in": "body",
"name": "items[0].examplePropertyWithPattern",
"value": "a2345678901"
}
]
}{
"type": "urn:problem-type:exampleOrganization:exampleProblem",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Description of the type of problem that occurred",
"status": 400,
"detail": "Description of specific occurrence of the problem",
"instance": "urn:uuid:123e4567-e89b-12d3-a456-426614174000"
}Notification
Create a notification event-topic route
POST
/
projects
/
{projectIdOrName}
/
notification-event-topic-routes
Create a notification event-topic route
Authorizations
APIKeyHeaderBearer
Path Parameters
The Ampersand project ID or project name.
Body
application/json
The type of notification event.
Available options:
connection.created, connection.error, connection.refreshed, connection.updated, connection.deleted, installation.created, installation.updated, installation.deleted, read.schedule.paused, read.backfill.done, read.triggered.done, read.triggered.error, write.async.done, subscribe.create.error, destination.webhook.disabled The ID of the topic to route events to.
Response
Created
The event-topic route ID.
The type of notification event.
Available options:
connection.created, connection.error, connection.refreshed, connection.updated, connection.deleted, installation.created, installation.updated, installation.deleted, read.schedule.paused, read.backfill.done, read.triggered.done, read.triggered.error, write.async.done, subscribe.create.error, destination.webhook.disabled The ID of the topic to route events to.
The Ampersand project ID.
The time when the event-topic route was created.
The time when the event-topic route was last updated.
Was this page helpful?
⌘I

